Bug 1220358 - Fedora 20 doesn't contain F22 gpg keys, prevents fedup
Summary: Fedora 20 doesn't contain F22 gpg keys, prevents fedup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException https://fedor...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-11 12:04 UTC by Kamil Páral
Modified: 2015-05-31 09:03 UTC (History)
6 users (show)

Fixed In Version: fedora-release-20-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-19 16:14:57 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1214150 None None None Never
Red Hat Bugzilla 1225442 None None None Never

Internal Links: 1214150 1225442

Description Kamil Páral 2015-05-11 12:04:52 UTC
Description of problem:
If you look at bug 1214150, fedup can't currently upgrade system from F20 to F22, because there are no F22 gpg keys installed in F20 and the verification fails.

Currently:
[root@localhost ~]# ll /etc/pki/rpm-gpg/
total 16
lrwxrwxrwx. 1 root root   29 May 11 07:56 RPM-GPG-KEY-20-fedora -> RPM-GPG-KEY-fedora-20-primary
lrwxrwxrwx. 1 root root   31 May 11 07:56 RPM-GPG-KEY-fedora-20-aarch64 -> RPM-GPG-KEY-fedora-20-secondary
lrwxrwxrwx. 1 root root   29 May 11 07:56 RPM-GPG-KEY-fedora-20-armhfp -> RPM-GPG-KEY-fedora-20-primary
lrwxrwxrwx. 1 root root   29 May 11 07:56 RPM-GPG-KEY-fedora-20-i386 -> RPM-GPG-KEY-fedora-20-primary
lrwxrwxrwx. 1 root root   31 May 11 07:56 RPM-GPG-KEY-fedora-20-ppc -> RPM-GPG-KEY-fedora-20-secondary
lrwxrwxrwx. 1 root root   31 May 11 07:56 RPM-GPG-KEY-fedora-20-ppc64 -> RPM-GPG-KEY-fedora-20-secondary
-rw-r--r--. 1 root root 1658 Feb 19  2014 RPM-GPG-KEY-fedora-20-primary
lrwxrwxrwx. 1 root root   31 May 11 07:56 RPM-GPG-KEY-fedora-20-s390 -> RPM-GPG-KEY-fedora-20-secondary
lrwxrwxrwx. 1 root root   31 May 11 07:56 RPM-GPG-KEY-fedora-20-s390x -> RPM-GPG-KEY-fedora-20-secondary
-rw-r--r--. 1 root root 3819 Feb 19  2014 RPM-GPG-KEY-fedora-20-secondary
lrwxrwxrwx. 1 root root   29 May 11 07:56 RPM-GPG-KEY-fedora-20-x86_64 -> RPM-GPG-KEY-fedora-20-primary
lrwxrwxrwx. 1 root root   31 May 11 07:56 RPM-GPG-KEY-fedora-21-aarch64 -> RPM-GPG-KEY-fedora-21-secondary
lrwxrwxrwx. 1 root root   29 May 11 07:56 RPM-GPG-KEY-fedora-21-armhfp -> RPM-GPG-KEY-fedora-21-primary
lrwxrwxrwx. 1 root root   29 May 11 07:56 RPM-GPG-KEY-fedora-21-i386 -> RPM-GPG-KEY-fedora-21-primary
lrwxrwxrwx. 1 root root   31 May 11 07:56 RPM-GPG-KEY-fedora-21-ppc -> RPM-GPG-KEY-fedora-21-secondary
lrwxrwxrwx. 1 root root   31 May 11 07:56 RPM-GPG-KEY-fedora-21-ppc64 -> RPM-GPG-KEY-fedora-21-secondary
-rw-r--r--. 1 root root 1658 Feb 19  2014 RPM-GPG-KEY-fedora-21-primary
lrwxrwxrwx. 1 root root   31 May 11 07:56 RPM-GPG-KEY-fedora-21-s390 -> RPM-GPG-KEY-fedora-21-secondary
lrwxrwxrwx. 1 root root   31 May 11 07:56 RPM-GPG-KEY-fedora-21-s390x -> RPM-GPG-KEY-fedora-21-secondary
-rw-r--r--. 1 root root 3819 Feb 19  2014 RPM-GPG-KEY-fedora-21-secondary
lrwxrwxrwx. 1 root root   29 May 11 07:56 RPM-GPG-KEY-fedora-21-x86_64 -> RPM-GPG-KEY-fedora-21-primary


Will Woods claims the correct solution is to include F22 in F20. Please do so, thank you.

Version-Release number of selected component (if applicable):
fedora-release-20-3.noarch

Comment 1 Dan Mossor [danofsatx] 2015-05-11 19:46:50 UTC
iscussed at the 2015-05-11 blocker review meeting[0]. Voted as RejectedFreezeException.

AGREED: 1220358 - RejectedFreezeException - as the issue here is in F20, there's no reason to mark it as an FE for F22. (adamw, 17:57:25)

[0]: http://meetbot.fedoraproject.org/fedora-blocker-review/2015-05-11/

Comment 2 Fedora Update System 2015-05-14 18:42:34 UTC
fedora-release-20-4 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedora-release-20-4

Comment 3 Fedora Update System 2015-05-15 13:35:06 UTC
Package fedora-release-20-4:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-release-20-4'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8268/fedora-release-20-4
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-05-19 16:14:57 UTC
fedora-release-20-4 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 snark2004-first 2015-05-31 09:03:00 UTC
Still broken, even with 20-4.
Looks like it's trying to import a key with no extension. I simply imported the x86_64 key for F22 from /etc/pki/
Seems to have worked - after also importing the rpmfusion keys, everything looks ok after completion.


Note You need to log in before you can comment on or make changes to this bug.